<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Style\Fill</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Create a new Supervisor.">
            <span class="description">Create a new Supervisor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_applyFromArray" title="applyFromArray ::Apply styles from array.">
            <span class="description">Apply styles from array.</span><pre>applyFromArray</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_bindParent" title="bindParent ::Bind parent. Only used for supervisor.">
            <span class="description">Bind parent. Only used for supervisor.</span><pre>bindParent</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveCell" title="getActiveCell ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getActiveCell</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveSheet" title="getActiveSheet ::Get the currently active sheet. Only used for supervisor.">
            <span class="description">Get the currently active sheet. Only used for supervisor.</span><pre>getActiveSheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEndColor" title="getEndColor ::Get End Color.">
            <span class="description">Get End Color.</span><pre>getEndColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFillType" title="getFillType ::Get Fill Type.">
            <span class="description">Get Fill Type.</span><pre>getFillType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIsSupervisor" title="getIsSupervisor ::Is this a supervisor or a cell style component?">
            <span class="description">Is this a supervisor or a cell style component?</span><pre>getIsSupervisor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRotation" title="getRotation ::Get Rotation.">
            <span class="description">Get Rotation.</span><pre>getRotation</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getSelectedCells" title="getSelectedCells ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getSelectedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSharedComponent" title="getSharedComponent ::Get the shared style component for the currently active cell in currently active sheet.">
            <span class="description">Get the shared style component for the currently active cell in currently active sheet.</span><pre>getSharedComponent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStartColor" title="getStartColor ::Get Start Color.">
            <span class="description">Get Start Color.</span><pre>getStartColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStyleArray" title="getStyleArray ::Build style array from subcomponents.">
            <span class="description">Build style array from subcomponents.</span><pre>getStyleArray</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEndColor" title="setEndColor ::Set End Color.">
            <span class="description">Set End Color.</span><pre>setEndColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFillType" title="setFillType ::Set Fill Type.">
            <span class="description">Set Fill Type.</span><pre>setFillType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setRotation" title="setRotation ::Set Rotation.">
            <span class="description">Set Rotation.</span><pre>setRotation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStartColor" title="setStartColor ::Set Start Color.">
            <span class="description">Set Start Color.</span><pre>setStartColor</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_FILL_GRADIENT_LINEAR" title="FILL_GRADIENT_LINEAR ::">
                        <span class="description"></span><pre>FILL_GRADIENT_LINEAR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_GRADIENT_PATH" title="FILL_GRADIENT_PATH ::">
                        <span class="description"></span><pre>FILL_GRADIENT_PATH</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_NONE" title="FILL_NONE ::">
                        <span class="description"></span><pre>FILL_NONE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKDOWN" title="FILL_PATTERN_DARKDOWN ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKDOWN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKGRAY" title="FILL_PATTERN_DARKGRAY ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKGRAY</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKGRID" title="FILL_PATTERN_DARKGRID ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKGRID</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKHORIZONTAL" title="FILL_PATTERN_DARKHORIZONTAL ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKHORIZONTAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKTRELLIS" title="FILL_PATTERN_DARKTRELLIS ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKTRELLIS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKUP" title="FILL_PATTERN_DARKUP ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKUP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_DARKVERTICAL" title="FILL_PATTERN_DARKVERTICAL ::">
                        <span class="description"></span><pre>FILL_PATTERN_DARKVERTICAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_GRAY0625" title="FILL_PATTERN_GRAY0625 ::">
                        <span class="description"></span><pre>FILL_PATTERN_GRAY0625</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_GRAY125" title="FILL_PATTERN_GRAY125 ::">
                        <span class="description"></span><pre>FILL_PATTERN_GRAY125</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTDOWN" title="FILL_PATTERN_LIGHTDOWN ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTDOWN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTGRAY" title="FILL_PATTERN_LIGHTGRAY ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTGRAY</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTGRID" title="FILL_PATTERN_LIGHTGRID ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTGRID</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTHORIZONTAL" title="FILL_PATTERN_LIGHTHORIZONTAL ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTHORIZONTAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTTRELLIS" title="FILL_PATTERN_LIGHTTRELLIS ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTTRELLIS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTUP" title="FILL_PATTERN_LIGHTUP ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTUP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_LIGHTVERTICAL" title="FILL_PATTERN_LIGHTVERTICAL ::">
                        <span class="description"></span><pre>FILL_PATTERN_LIGHTVERTICAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_PATTERN_MEDIUMGRAY" title="FILL_PATTERN_MEDIUMGRAY ::">
                        <span class="description"></span><pre>FILL_PATTERN_MEDIUMGRAY</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_FILL_SOLID" title="FILL_SOLID ::">
                        <span class="description"></span><pre>FILL_SOLID</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Fill</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone inherited" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Supervisor.</h2>
                            <pre>__construct(boolean $isSupervisor = false)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$isSupervisor</h4>
                                                <code>boolean</code><p><p>Flag indicating if this is a supervisor or not
Leave this value at default unless you understand exactly what
its ramifications are</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_applyFromArray"></a>
                        <div class="element clickable methodpublic method_applyFromArray" data-toggle="collapse" data-target=".method_applyFromArray .collapse">
                            <h2>Apply styles from array.</h2>
                            <pre>applyFromArray(array $pStyles): \PhpOffice\PhpSpreadsheet\Style\Fill</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p><code>
$spreadsheet-&gt;getActiveSheet()-&gt;getStyle('B2')-&gt;getFill()-&gt;applyFromArray(
[
'fillType' =&gt; Fill::FILL_GRADIENT_LINEAR,
'rotation' =&gt; 0,
'startColor' =&gt; [
'rgb' =&gt; '000000'
],
'endColor' =&gt; [
'argb' =&gt; 'FFFFFFFF'
]
]
);
</code></p></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pStyles</h4>
                                                <code>array</code><p><p>Array containing style information</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_bindParent"></a>
                        <div class="element clickable methodpublic method_bindParent inherited" data-toggle="collapse" data-target=".method_bindParent .collapse">
                            <h2>Bind parent. Only used for supervisor.</h2>
                            <pre>bindParent(\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style $parent,null|string $parentPropertyName = null): \PhpOffice\PhpSpreadsheet\Style\Supervisor</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$parentPropertyName</h4>
                                                <code>null|string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveCell"></a>
                        <div class="element clickable methodpublic method_getActiveCell inherited" data-toggle="collapse" data-target=".method_getActiveCell .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getActiveCell(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveSheet"></a>
                        <div class="element clickable methodpublic method_getActiveSheet inherited" data-toggle="collapse" data-target=".method_getActiveSheet .collapse">
                            <h2>Get the currently active sheet. Only used for supervisor.</h2>
                            <pre>getActiveSheet(): \PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEndColor"></a>
                        <div class="element clickable methodpublic method_getEndColor" data-toggle="collapse" data-target=".method_getEndColor .collapse">
                            <h2>Get End Color.</h2>
                            <pre>getEndColor(): \PhpOffice\PhpSpreadsheet\Style\Color</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFillType"></a>
                        <div class="element clickable methodpublic method_getFillType" data-toggle="collapse" data-target=".method_getFillType .collapse">
                            <h2>Get Fill Type.</h2>
                            <pre>getFillType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIsSupervisor"></a>
                        <div class="element clickable methodpublic method_getIsSupervisor inherited" data-toggle="collapse" data-target=".method_getIsSupervisor .collapse">
                            <h2>Is this a supervisor or a cell style component?</h2>
                            <pre>getIsSupervisor(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRotation"></a>
                        <div class="element clickable methodpublic method_getRotation" data-toggle="collapse" data-target=".method_getRotation .collapse">
                            <h2>Get Rotation.</h2>
                            <pre>getRotation(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSelectedCells"></a>
                        <div class="element clickable methodpublic method_getSelectedCells inherited" data-toggle="collapse" data-target=".method_getSelectedCells .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getSelectedCells(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSharedComponent"></a>
                        <div class="element clickable methodpublic method_getSharedComponent" data-toggle="collapse" data-target=".method_getSharedComponent .collapse">
                            <h2>Get the shared style component for the currently active cell in currently active sheet.</h2>
                            <pre>getSharedComponent(): \PhpOffice\PhpSpreadsheet\Style\Fill</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for style supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStartColor"></a>
                        <div class="element clickable methodpublic method_getStartColor" data-toggle="collapse" data-target=".method_getStartColor .collapse">
                            <h2>Get Start Color.</h2>
                            <pre>getStartColor(): \PhpOffice\PhpSpreadsheet\Style\Color</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStyleArray"></a>
                        <div class="element clickable methodpublic method_getStyleArray" data-toggle="collapse" data-target=".method_getStyleArray .collapse">
                            <h2>Build style array from subcomponents.</h2>
                            <pre>getStyleArray(array $array): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$array</h4>
                                                <code>array</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setEndColor"></a>
                        <div class="element clickable methodpublic method_setEndColor" data-toggle="collapse" data-target=".method_setEndColor .collapse">
                            <h2>Set End Color.</h2>
                            <pre>setEndColor(\PhpOffice\PhpSpreadsheet\Style\Color $pValue): \PhpOffice\PhpSpreadsheet\Style\Fill</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFillType"></a>
                        <div class="element clickable methodpublic method_setFillType" data-toggle="collapse" data-target=".method_setFillType .collapse">
                            <h2>Set Fill Type.</h2>
                            <pre>setFillType(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Fill</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Fill type, see self::FILL_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setRotation"></a>
                        <div class="element clickable methodpublic method_setRotation" data-toggle="collapse" data-target=".method_setRotation .collapse">
                            <h2>Set Rotation.</h2>
                            <pre>setRotation(float $pValue): \PhpOffice\PhpSpreadsheet\Style\Fill</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setStartColor"></a>
                        <div class="element clickable methodpublic method_setStartColor" data-toggle="collapse" data-target=".method_setStartColor .collapse">
                            <h2>Set Start Color.</h2>
                            <pre>setStartColor(\PhpOffice\PhpSpreadsheet\Style\Color $pValue): \PhpOffice\PhpSpreadsheet\Style\Fill</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_FILL_NONE"> </a>
                            <div class="element clickable constant constant_FILL_NONE" data-toggle="collapse" data-target=".constant_FILL_NONE .collapse">
                                <h2>FILL_NONE</h2>
                                <pre>FILL_NONE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_SOLID"> </a>
                            <div class="element clickable constant constant_FILL_SOLID" data-toggle="collapse" data-target=".constant_FILL_SOLID .collapse">
                                <h2>FILL_SOLID</h2>
                                <pre>FILL_SOLID</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_GRADIENT_LINEAR"> </a>
                            <div class="element clickable constant constant_FILL_GRADIENT_LINEAR" data-toggle="collapse" data-target=".constant_FILL_GRADIENT_LINEAR .collapse">
                                <h2>FILL_GRADIENT_LINEAR</h2>
                                <pre>FILL_GRADIENT_LINEAR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_GRADIENT_PATH"> </a>
                            <div class="element clickable constant constant_FILL_GRADIENT_PATH" data-toggle="collapse" data-target=".constant_FILL_GRADIENT_PATH .collapse">
                                <h2>FILL_GRADIENT_PATH</h2>
                                <pre>FILL_GRADIENT_PATH</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKDOWN"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKDOWN" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKDOWN .collapse">
                                <h2>FILL_PATTERN_DARKDOWN</h2>
                                <pre>FILL_PATTERN_DARKDOWN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKGRAY"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKGRAY" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKGRAY .collapse">
                                <h2>FILL_PATTERN_DARKGRAY</h2>
                                <pre>FILL_PATTERN_DARKGRAY</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKGRID"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKGRID" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKGRID .collapse">
                                <h2>FILL_PATTERN_DARKGRID</h2>
                                <pre>FILL_PATTERN_DARKGRID</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKHORIZONTAL"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKHORIZONTAL" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKHORIZONTAL .collapse">
                                <h2>FILL_PATTERN_DARKHORIZONTAL</h2>
                                <pre>FILL_PATTERN_DARKHORIZONTAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKTRELLIS"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKTRELLIS" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKTRELLIS .collapse">
                                <h2>FILL_PATTERN_DARKTRELLIS</h2>
                                <pre>FILL_PATTERN_DARKTRELLIS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKUP"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKUP" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKUP .collapse">
                                <h2>FILL_PATTERN_DARKUP</h2>
                                <pre>FILL_PATTERN_DARKUP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_DARKVERTICAL"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_DARKVERTICAL" data-toggle="collapse" data-target=".constant_FILL_PATTERN_DARKVERTICAL .collapse">
                                <h2>FILL_PATTERN_DARKVERTICAL</h2>
                                <pre>FILL_PATTERN_DARKVERTICAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_GRAY0625"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_GRAY0625" data-toggle="collapse" data-target=".constant_FILL_PATTERN_GRAY0625 .collapse">
                                <h2>FILL_PATTERN_GRAY0625</h2>
                                <pre>FILL_PATTERN_GRAY0625</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_GRAY125"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_GRAY125" data-toggle="collapse" data-target=".constant_FILL_PATTERN_GRAY125 .collapse">
                                <h2>FILL_PATTERN_GRAY125</h2>
                                <pre>FILL_PATTERN_GRAY125</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTDOWN"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTDOWN" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTDOWN .collapse">
                                <h2>FILL_PATTERN_LIGHTDOWN</h2>
                                <pre>FILL_PATTERN_LIGHTDOWN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTGRAY"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTGRAY" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTGRAY .collapse">
                                <h2>FILL_PATTERN_LIGHTGRAY</h2>
                                <pre>FILL_PATTERN_LIGHTGRAY</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTGRID"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTGRID" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTGRID .collapse">
                                <h2>FILL_PATTERN_LIGHTGRID</h2>
                                <pre>FILL_PATTERN_LIGHTGRID</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTHORIZONTAL"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTHORIZONTAL" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTHORIZONTAL .collapse">
                                <h2>FILL_PATTERN_LIGHTHORIZONTAL</h2>
                                <pre>FILL_PATTERN_LIGHTHORIZONTAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTTRELLIS"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTTRELLIS" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTTRELLIS .collapse">
                                <h2>FILL_PATTERN_LIGHTTRELLIS</h2>
                                <pre>FILL_PATTERN_LIGHTTRELLIS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTUP"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTUP" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTUP .collapse">
                                <h2>FILL_PATTERN_LIGHTUP</h2>
                                <pre>FILL_PATTERN_LIGHTUP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_LIGHTVERTICAL"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_LIGHTVERTICAL" data-toggle="collapse" data-target=".constant_FILL_PATTERN_LIGHTVERTICAL .collapse">
                                <h2>FILL_PATTERN_LIGHTVERTICAL</h2>
                                <pre>FILL_PATTERN_LIGHTVERTICAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_FILL_PATTERN_MEDIUMGRAY"> </a>
                            <div class="element clickable constant constant_FILL_PATTERN_MEDIUMGRAY" data-toggle="collapse" data-target=".constant_FILL_PATTERN_MEDIUMGRAY .collapse">
                                <h2>FILL_PATTERN_MEDIUMGRAY</h2>
                                <pre>FILL_PATTERN_MEDIUMGRAY</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_startcolorIndex"> </a>
                            <div class="element clickable propertypublic property_startcolorIndex" data-toggle="collapse" data-target=".property_startcolorIndex .collapse">
                                <h2>startcolorIndex</h2>
                                <pre>startcolorIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_endcolorIndex"> </a>
                            <div class="element clickable propertypublic property_endcolorIndex" data-toggle="collapse" data-target=".property_endcolorIndex .collapse">
                                <h2>endcolorIndex</h2>
                                <pre>endcolorIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_fillType"> </a>
                            <div class="element clickable propertyprotected property_fillType" data-toggle="collapse" data-target=".property_fillType .collapse">
                                <h2>Fill type.</h2>
                                <pre>fillType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_rotation"> </a>
                            <div class="element clickable propertyprotected property_rotation" data-toggle="collapse" data-target=".property_rotation .collapse">
                                <h2>Rotation.</h2>
                                <pre>rotation :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_startColor"> </a>
                            <div class="element clickable propertyprotected property_startColor" data-toggle="collapse" data-target=".property_startColor .collapse">
                                <h2>Start color.</h2>
                                <pre>startColor :\PhpOffice\PhpSpreadsheet\Style\Color</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_endColor"> </a>
                            <div class="element clickable propertyprotected property_endColor" data-toggle="collapse" data-target=".property_endColor .collapse">
                                <h2>End color.</h2>
                                <pre>endColor :\PhpOffice\PhpSpreadsheet\Style\Color</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_isSupervisor"> </a>
                            <div class="element clickable propertyprotected property_isSupervisor inherited" data-toggle="collapse" data-target=".property_isSupervisor .collapse">
                                <h2>Supervisor?</h2>
                                <pre>isSupervisor :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprotected property_parent inherited" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Parent. Only used for supervisor.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parentPropertyName"> </a>
                            <div class="element clickable propertyprotected property_parentPropertyName inherited" data-toggle="collapse" data-target=".property_parentPropertyName .collapse">
                                <h2>Parent property name.</h2>
                                <pre>parentPropertyName :null|string</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>null|string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Style\Fill"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Style.html">Style</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">Fill</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:53 +0000.<br/>
    </footer></body>
</html>
